Subject: [netmod] yang 1.1 virtual interim meeting today

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 15 Oct 2014 14:31:26 +0200

Hi,

we will meet again virtually today (in about 90 minutes) to work on
the YANG 1.1 issues.  The webex information is attached and I will be
using etherpad to take notes:

http://etherpad.tools.ietf.org:9000/p/notes-ietf-netmod-virtual-interim-2014-10-15?useMonospaceFont=true

I have updated the issues list. In particular, I added:

* OPEN :Y56: UTF8 non-characters
* OPEN :Y57: unique leaf-list
* OPEN :Y58: associate an actions with a data node

We right now have these issues left in the OPEN state:

* OPEN :Y05: unprefixed path in top-level typedef
* OPEN :Y09: introduce optional keys <<Y09>>
* OPEN :Y10: allow restrictions on enumerations
* OPEN :Y13: allow multiple inheritance for identities
* OPEN :Y16: module advertisement optimization <<Y16>>
* OPEN :Y18: fix "when" expression context node problem
* OPEN :Y25: make enum numbering purely informative and optional
* OPEN :Y26: allow mandatory nodes in augment
* OPEN :Y28: support default values in leaf-lists
* OPEN :Y34: remove/deprecate/replace the 'anyxml' statement
* OPEN :Y42: a better model for configuration versus state data is needed
* OPEN :Y45: better conformance mechanism <<Y45>>
* OPEN :Y49: clarify nested submodule behavior
* OPEN :Y54: remove the advertisement of conformance information in NETCONF hello message
* OPEN :Y56: UTF8 non-characters
* OPEN :Y57: unique leaf-list
* OPEN :Y58: associate an actions with a data node

My proposal is to backwards through this list today, skipping any
issues where actions are still pending.

Note that we also have these issues in the REVIEW state:

* REVIEW :Y01: allow boolean if-feature
* REVIEW :Y03: allow if-feature in refine
* REVIEW :Y06: escaped characters in double quoted strings
* REVIEW :Y07: do not allow when or if-feature on keys
* REVIEW :Y14: clarify the string value for identities when used in must/when
* REVIEW :Y20: new set of built-in XPath functions
* REVIEW :Y23: support negative patterns as string restrictions
* REVIEW :Y29: allow choice as a short-hand case
* REVIEW :Y30: allow leafref in union
* REVIEW :Y31: allow require-instance in leafref
* REVIEW :Y35: allow empty in union

If people review the I-D and they are fine with the resolution,
please let us know so we can eventually move things from REVIEW
to DONE.

For the sake of completeness, these issues are left in the EDIT state:

* EDIT :Y02: allow must in input, output, and notification
* EDIT :Y04: accessible tree in xpath in notifs and rpc
* EDIT :Y11: allow if-feature on enums
* EDIT :Y12: initialized-by system
* EDIT :Y41: clarification of "must" in NP-container <<Y41>>
* EDIT :Y55: clarify type in union

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>